# FoundationClasses
TKernel
NCollection

# NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode Class Reference

Adaptation of the TListNode to the INDEXEDDatamap.

Inheritance diagram for NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode:

[legend]

## Public Member Functions

| IndexedDataMapNode (const TheKeyType &theKey1, const Standard_Integer theKey2, const TheItemType &theItem, NCollection_ListNode *theNext1, NCollection_ListNode *theNext2)
| Constructor with 'Next'.
TheKeyType & | Key1 (void)
| Key1.
const Standard_Integer & | Key2 (void)
| Key2.
IndexedDataMapNode *& | Next2 (void)
| Next2.

## Static Public Member Functions

static void | delNode (NCollection_ListNode *theNode, Handle(NCollection_BaseAllocator)&theAl)
| Static deleter to be passed to BaseList.

## Private Attributes

TheKeyType | myKey1
Standard_Integer | myKey2
IndexedDataMapNode * | myNext2

### template<class TheKeyType, class TheItemType>
class NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode

## Constructor & Destructor Documentation

template<class TheKeyType, class TheItemType>
NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode::IndexedDataMapNode | ( | const TheKeyType & | theKey1,
|  | const Standard_Integer | theKey2,
|  | const TheItemType & | theItem,
|  | NCollection_ListNode * | theNext1,
|  | NCollection_ListNode * | theNext2
| ) | `[inline]`

## Member Function Documentation

template<class TheKeyType, class TheItemType>
static void NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode::delNode | ( | NCollection_ListNode * | theNode,
|  | Handle(NCollection_BaseAllocator)& | theAl
| ) | `[inline, static]`

| Reimplemented from NCollection_TListNode< TheItemType >.

template<class TheKeyType, class TheItemType>
TheKeyType& NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode::Key1 | ( | void |  | ) | `[inline]`

template<class TheKeyType, class TheItemType>
const Standard_Integer& NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode::Key2 | ( | void |  | ) | `[inline]`

template<class TheKeyType, class TheItemType>
IndexedDataMapNode*& NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode::Next2 | ( | void |  | ) | `[inline]`

## Field Documentation

template<class TheKeyType, class TheItemType>
TheKeyType NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode::myKey1 `[private]`

template<class TheKeyType, class TheItemType>
Standard_Integer NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode::myKey2 `[private]`

template<class TheKeyType, class TheItemType>
IndexedDataMapNode* NCollection_IndexedDataMap< TheKeyType, TheItemType >::IndexedDataMapNode::myNext2 `[private]`

The documentation for this class was generated from the following file:

- NCollection_IndexedDataMap.hxx